﻿<%@ Import Namespace="Seven.Management" %>
<%@ Import Namespace="Seven.Management.Globals" %>
<%@ Import Namespace="Seven.Management.Objects" %>

<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="Entidades.aspx.cs" Inherits="Seven.Management.Entidades" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try
       { %>

    <title><%=L.TIT("Entidades") %> <%--[2.1]--%></title>

    <script type="text/javascript">

    <% 
        
       /* 
        * 
        * Índice de Código 
        * 
        * JQ01 - Grid Entidades
        * JQ02 - Grid Datos
        * JQ03 - otras funciones
        * JQ04 - fecha hotelera
        * 
        * JS_FUN_BASE  - Funciones Javascript para Carga de Datos Base
        * JS_DOC       - Funciones Javascript en Document.Ready()
        * 
        * DLG_VAR      - Diálogos Varios
        * 
        * TIT - Título
        * 
        * HH  - Hidden Hive - Almacen de datos en campos ocultos
        * 
        * B01 - Cuandro Información Principal
        * B02 - Formulario Principal OH
        * B03 - Zona Informativa 
        * 
        */
        
    %>

        var ListFindN    =  ['eq','bw','ne','lt','le','gt','ge','ew','cn'];
        var ListFindT    =  ['cn','eq','bw','bn','nc','ew','en'];

        <% /* JQ01 */%>

        <% /* Código del jqGrid para Entidades */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetENT() {
            $.ajax({
                url: 'Servicio.svc/GetEntidades',
                data: { "Eliminado": $('#cbEliminado:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    try
                    {
                        $("#jqgENT").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                        var thegrid = $("#jqgENT")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgENT").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                    }
                    catch(err)
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutENT(id, descripcion, activa, log_sheet, front_principal, eli) //aca se guardan los datos cacturados de la tabla
        {
            $.ajax({
                url: 'Servicio.svc/PutEntidades',
                data: {"id_juego": id, "descripcion": descripcion, "activa": activa, "log_sheet": log_sheet, "front_principal": front_principal
                , "Eliminado": eli
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando2').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando2').dialog('close');
                    var res = json.d;
                    if(res > 0 || res < 0)
                    {
                        if(eli == 1){
                            $('#IdSubElementENT').val(0);
                            BotonDefaultENT();
                            RefreshGridENT();
                        }
                        else
                        {
                            if(id > 0 || id < 0){
                                BotonDefaultENT();
                                RefreshGridENT();
                            }
                            else
                            {
                                $('#IdSubElementENT').val(res);
                                BotonDefaultENT();
                                RefreshGridENT();
                            }
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridENT() {
        
            var lselENT;
            var colMap = {};
            $("#jqgENT").jqGrid({
                datatype: 'local',
                height: 150,
                width: 700,
                colNames: ['', '<%=L.LBL("LblGENDescription") %>', '<%=L.LBL("LblGENActivo") %>', '<%=L.LBL("LblMANBitacora") %>', '<%=L.LBL("LblMANENTFront_Principal") %>', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'descripcion', index: 'descripcion', width: 40, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'activo', index: 'activo', width: 10, editable: true, hidden: true },
                            {
                                name: 'log_sheet', index: 'log_sheet', width: 10, editable: true, 
                                edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: '1:0' },
                                formatoptions: { disabled: true }, align: 'center'
                            },
                            {
                                name: 'front_principal', index: 'front_principal', width: 10, editable: true,
                                formatter:'select', stype:'select', edittype:'select', 
                                editoptions: { <%=cbBasesFront%> }, 
                            },
                            { name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
   	                    ],
                onSelectRow: function(id){
                    if(id ){
                        
                        if(isNaN(lselENT) && !isNaN(id))
                        {
                            $("#jqgENT").jqGrid('delRowData', lselENT);
                            //$('#jqgENT').jqGrid('resetSelection');
                        }

                        if(!isNaN(id))
                        {
                            $('#jqgENT').jqGrid('saveRow', id);
                            
                            var ret = jQuery("#jqgENT").jqGrid('getRowData',id); 

                            $('#jqgENT').jqGrid('restoreRow',lselENT);

                            $('#IdSubElementENT').val(ret.Id);

                            RefreshGridDAT();
                            
                        }
                        else
                        {
                            BotonNuevoENT();
                        }

                        $('#jqgENT').jqGrid('editRow', id, true, EventsENT);
                       
                        lselENT=id;
                    }
                },
                afterInsertRow: function(id){
                    if(id){
                        if(isNaN(lselENT))
                        {
                            $("#jqgENT").jqGrid('delRowData', lselENT);
                            $('#jqgENT').jqGrid('resetSelection');
                        }
                        else
                        {
                            $('#jqgENT').jqGrid('saveRow',lselENT);
                        }
                    }
                },
                onCellSelect: function(id){
                    if(id){
                        if(!isNaN(id))
                        {
                            $('#jqgENT').jqGrid('restoreRow', id);                            
                        }

                        var ret = jQuery("#jqgENT").jqGrid('getRowData',id); 
                        var status = ret.Eli;

                        if(status != "True")
                        { 
                            $('#btnEliminarTextENT').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconENT').attr("src", "img/recuperar.png");
                        }
                        else 
                        {   
                            $('#btnEliminarTextENT').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconENT').attr("src", "img/cross-script.png");
                        }
                        
                        //$('#jqgENT').jqGrid('setSelection', id); 

                        BotonSelectENT();
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#jqgENT").getDataIDs(); 
                    for (var i = 0; i < rows.length; i++)
                    { 
                        if(i == 0 && parseInt($('#IdSubElementENT').val()) == 0)
                        {
                            $('#IdSubElementENT').val($("#jqgENT").getCell(rows[i],"Id"));
                        }
                        var status  = $("#jqgENT").getCell(rows[i],"Eli");

                        if(status != "True")
                        {
                            $("#jqgENT").jqGrid('setRowData',rows[i],false, 
                            {color:'red',font:'italic' });
                        }
                    }
                    $('#jqgENT').jqGrid('setSelection', $('#IdSubElementENT').val());
                    if(parseInt($('#IdSubElementENT').val()) != 0)
                    {
                        BotonSelectENT();
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl:"Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

            //$("#jqgENT").jqGrid('navGrid','#PaginadorENT',{del:false,add:false,edit:false,search:false});
            $("#bsdataENT").click(function(){ 
                jQuery("#jqgENT").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function EventsENT(id) {
            $("#" + id + "_descripcion").on('input', function () { BotonGuardarENT(); });
            $("#" + id + "_activo").on('input', function () { BotonGuardarENT(); });
            $("#" + id + "_log_sheet").on('change', function () { BotonGuardarENT(); });
            $("#" + id + "_front_principal").on('input', function () { BotonGuardarENT(); });
            $("#" + id + "_activa").on('change', function () { BotonGuardarENT(); });
        }

        function EventsNewENT() {
            var id = jQuery('#jqgENT').jqGrid('getGridParam', 'selrow');
            $("#" + id + "_descripcion").on('input', function () { BotonGuardarENT(); });
            $("#" + id + "_activo").on('input', function () { BotonGuardarENT(); });
            $("#" + id + "_log_sheet").prop("checked", true).on('change', function () { BotonGuardarENT(); });
            $("#" + id + "_front_principal").on('input', function () { BotonGuardarENT(); });
            $("#" + id + "_activa").on('change', function () { BotonGuardarENT(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridENT()
        {
            $("#jqgENT").jqGrid("setGridParam", {datatype: "json", datatype: GetENT, loadonce: true});
            $("#jqgENT").trigger("reloadGrid"); 
            $("#jqgENT").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateENT()
        {
            $('#IdSubElementENT').val(0);
            $("#jqgENT").jqGrid('addRow',{
                initdata : {'Id': '0'},
                position :"first",
                useDefValues : false,
                useFormatter : false,
                addRowParams : {extraparam:{}}
            });
            BotonNuevoENT();
            EventsNewENT();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveENT(){
            var id = $("#jqgENT").jqGrid('getGridParam','selrow');
            if (id)	{
                PutENT(id, $('#' + id + '_descripcion').val(), $('#' + id + '_activo').val(), $('#' + id + "_log_sheet:checked").val(), $('#' + id + '_front_principal').val(), 0);
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteENT(){
            var id = $("#jqgENT").jqGrid('getGridParam','selrow');
            if (id) {
                PutENT(id, $('#' + id + '_descripcion').val(), $('#' + id + '_activo').val(), $('#' + id + '_log_sheet').val(), $('#' + id + '_front_principal').val(), 1);
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelENT(){
            var id = $("#jqgENT").jqGrid('getGridParam','selrow');
            if (id){
                $('#jqgENT').restoreRow(id);
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
            BotonDefaultENT();
        }

        function BotonDefaultENT() {
            $('#btnNuevoENT').button('enable');
            $('#btnEliminarENT').button('disable');
            $('#btnGuardarENT').button('disable');
            $('#btnCancelarENT').button('disable');
        }

        function BotonNuevoENT() {
            $('#btnNuevoENT').button('disable');
            $('#btnEliminarENT').button('disable');
            $('#btnGuardarENT').button('disable');
            $('#btnCancelarENT').button('enable');
        }

        function BotonSelectENT() {
            $('#btnNuevoENT').button('enable');
            var id = $("#jqgENT").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarENT').button('enable');
            }
            else {
                $('#btnEliminarENT').button('disable');
            }
            $('#btnGuardarENT').button('disable');
            $('#btnCancelarENT').button('disable');
        }

        function BotonGuardarENT() {
            $('#btnNuevoENT').button('disable');
            $('#btnEliminarENT').button('disable');
            $('#btnGuardarENT').button('enable');
            $('#btnCancelarENT').button('enable');
        }

        <% /* JQ02 */%>

        <% /* Código del jqGrid para Datos */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetDAT() {
            $.ajax({
                url: 'Servicio.svc/GetDatos',
                data: { "id_juego": $('#IdSubElementENT').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando3').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando3').dialog('close');
                    try
                    {
                        $("#jqgDAT").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                        var thegrid = $("#jqgDAT")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgDAT").jqGrid("setGridParam", { datatype: "local", loadonce: true });

                        //console.log(thegrid);
                        //$('#jqgDAT td:nth-(4),#jqgDAT tr:nth-(4)').hide();

                    }
                    catch(err)
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutDAT(id, id_juego, id_modulo, base_datos, descripcion, origen_datos, login, password, servidor, backup_antes, backup_desp, linked_server, eli) {
            $.ajax({
                url: 'Servicio.svc/PutDatos',
                data: {
                    "id_datos": id, "id_juego": id_juego, "id_modulo": id_modulo, "base_datos": base_datos, "descripcion": descripcion,
                    "origen_datos": origen_datos, "login": login, "password": password, "servidor": servidor, "backup_antes": backup_antes,
                    "backup_desp": backup_desp, "linked_server": linked_server, "Eliminado": eli
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando4').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando4').dialog('close');
                    var res = json.d;
                    if(res > 0 || res < 0)
                    {
                        if(eli == 1){
                            $('#IdSubElementDAT').val(0);
                            BotonDefaultDAT();
                            RefreshGridDAT();
                        }
                        else
                        {
                            if(id > 0 || id < 0){
                                BotonDefaultDAT();
                                RefreshGridDAT();
                            }
                            else
                            {
                                $('#IdSubElementDAT').val(res);
                                BotonDefaultDAT();
                                RefreshGridDAT();
                            }
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridDAT() {
        
            var lselDAT;
            var colMap = {};
            $("#jqgDAT").jqGrid({
                datatype: 'local',
                height: 255,
                width: 700,
                colNames: ['', '', '', '<%=L.LBL("LblBSDatos") %>', '<%=L.LBL("LblGENDescription") %>', '<%=L.LBL("LblGENOrigenDatos") %>',
                    '<%=L.LBL("LblGENUser") %>', '<%=L.LBL("LblGENPassword") %>', '<%=L.LBL("LblMANSERServidor") %>', '', '', '<%=L.LBL("LblMANENTServidorVinculadoAbbr") %>', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 2, sorttype: 'int', hidden: true },
                            { name: 'id_juego', index: 'id_juego', width: 2, editable: true, hidden: true },
                            { name: 'id_modulo', index: 'id_modulo', width: 2, editable: true, hidden: true },
                            { name: 'base_datos', index: 'base_datos', width: 8, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'descripcionDAT', index: 'descripcionDAT', width: 8, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'origen_datos', index: 'origen_datos', width: 8, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'login', index: 'login', width: 6, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'password', index: 'password', width:6, editable: true, searchoptions: { sopt: ListFindT },
                            align: "right", edittype: 'password', stype: "password", formatter: customPassFormat,
                            },
                            { name: 'servidor', index: 'servidor', width: 5, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'backup_antes', index: 'backup_antes', width: 1, hidden: true },
                            { name: 'backup_desp', index: 'backup_desp', width: 1, hidden: true },

                            { name: 'linked_server', index: 'linked_server', width: 5, editable: true, searchoptions: { sopt: ListFindT } },

                            {
                                name: 'inf', index: 'inf', width: 2, editable: false,
                                formatter: InfButtonFormatter, align: 'center'
                            },
                            //{ name: 'X', index: 'X', width: 1, hidden: true },
                ],

                onSelectRow: function (id) {
                    if (id) {

                        var ret = jQuery("#jqgDAT").jqGrid('getRowData', id);
                        var chk = $(ret.password);

                        //alert(chk.val());

                        if(isNaN(lselDAT) && !isNaN(id))
                        {
                            $("#jqgDAT").jqGrid('delRowData', lselDAT);
                            //$('#jqgDAT').jqGrid('resetSelection');

                        }

                        if(!isNaN(id))
                        {
                            $('#jqgDAT').jqGrid('saveRow', id);
                            
                            var ret = jQuery("#jqgDAT").jqGrid('getRowData', id);

                            $('#jqgDAT').jqGrid('restoreRow',lselDAT);

                            $('#IdSubElementDAT').val(ret.Id);
                        }
                        else
                        {
                            BotonNuevoDAT();
                        }

                        $('#jqgDAT').jqGrid('editRow', id, true, EventsDAT);

                        lselDAT = id;

                        $("#" + id + "_password").val(chk.val());
                    }
                },
                afterInsertRow: function(id){
                    if (id) {

                        if(isNaN(lselDAT))
                        {
                            $("#jqgDAT").jqGrid('delRowData', lselDAT);
                            $('#jqgDAT').jqGrid('resetSelection');
                        }
                        else
                        {
                            $('#jqgDAT').jqGrid('saveRow',lselDAT);
                        }
                    }
                },
                onCellSelect: function (id) {

                    if(id){
                        if(!isNaN(id))
                        {
                            $('#jqgDAT').jqGrid('restoreRow',id);
                        }

                        var ret = jQuery("#jqgDAT").jqGrid('getRowData',id); 
                        var status = ret.Eli;

                        if(status == "True")
                        { 
                            $('#btnEliminarTextDAT').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconDAT').attr("src", "img/recuperar.png");
                        }
                        else 
                        {   
                            $('#btnEliminarTextDAT').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconDAT').attr("src", "img/cross-script.png");
                        }

                        //$('#jqgDAT').jqGrid('setSelection', id); 

                        BotonSelectDAT(); //$('input#id_reg_pass').removeAttr("type");
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#jqgDAT").getDataIDs();

                    for (var i = 0; i < rows.length; i++)
                    {

                        if(i == 0 && parseInt($('#IdSubElementDAT').val()) == 0)
                        {
                            //$('#IdSubElementDAT').val($("#jqgDAT").getCell(rows[i], "Id"));
                        }

                        var status  = $("#jqgDAT").getCell(rows[i],"Eli");

                        if (status == "True") {
                            $("#jqgDAT").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }
                    }

                    $('#jqgDAT').jqGrid('setSelection', $('#IdSubElementDAT').val());

                    if(parseInt($('#IdSubElementDAT').val()) != 0)
                    {
                        BotonSelectDAT();
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl:"Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

            //$("#jqgDAT").jqGrid('navGrid','#PaginadorDatos',{del:false,add:false,edit:false,search:false});
            $("#bsdataDAT").click(function(){jQuery("#jqgDAT").jqGrid('searchGrid', {multipleSearch:true}); });
        
        }

                function EventsDAT(id) {
            $("#" + id + "_id_juego").prop("readonly", true).on('change', function () { BotonGuardarDAT(); });
            $("#" + id + "_id_modulo").prop("readonly", true).on('change', function () { BotonGuardarDAT(); });
            $("#" + id + "_base_datos").on('input', function () { BotonGuardarDAT(); });
            $("#" + id + "_descripcionDAT").on('input', function () { BotonGuardarDAT(); });
            $("#" + id + "_origen_datos").on('input', function () { BotonGuardarDAT(); });
            $("#" + id + "_login").on('input', function () { BotonGuardarDAT(); });
            $("#" + id + "_password").on('input', function () { BotonGuardarDAT(); });
            $("#" + id + "_servidor").on('input', function () { BotonGuardarDAT(); });
            $("#" + id + "_backup_antes").on('input', function () { BotonGuardarDAT(); });
            $("#" + id + "_backup_desp").on('input', function () { BotonGuardarDAT(); });
            $("#" + id + "_linked_server").on('input', function () { BotonGuardarDAT(); });
        }

        function EventsNewDAT() {
            var id = jQuery('#jqgDAT').jqGrid('getGridParam', 'selrow');
            $("#" + id + "_id_juego").prop("readonly", true).on('input', function () { BotonGuardarDAT(); });
            $("#" + id + "_id_modulo").prop("readonly", true).on('change', function () { BotonGuardarDAT(); });
            $("#" + id + "_base_datos").focusout(function () { $("#" + id + "_descripcionDAT").val($("#" + id + "_base_datos").val()) }).on('input', function () { BotonGuardarDAT(); });
            $("#" + id + "_base_datos").focusout(function () { $("#" + id + "_origen_datos").val($("#" + id + "_base_datos").val()) }).on('input', function () { BotonGuardarDAT(); });
            $("#" + id + "_descripcionDAT").on('input', function () { BotonGuardarDAT(); });
            $("#" + id + "_origen_datos").on('input', function () { BotonGuardarDAT(); });
            $("#" + id + "_login").on('input', function () { BotonGuardarDAT(); });
            $("#" + id + "_password").val('').on('input', function () { BotonGuardarDAT(); });
            $("#" + id + "_servidor").on('input', function () { BotonGuardarDAT(); });
            $("#" + id + "_backup_antes").on('input', function () { BotonGuardarDAT(); });
            $("#" + id + "_backup_desp").on('input', function () { BotonGuardarDAT(); });
            $("#" + id + "_linked_server").on('input', function () { BotonGuardarDAT(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridDAT()
        {
            $("#jqgDAT").jqGrid("setGridParam", {datatype: "json", datatype: GetDAT, loadonce: true});
            $("#jqgDAT").trigger("reloadGrid"); 
            $("#jqgDAT").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateDAT()
        {
            var rows = $("#jqgDAT").getDataIDs();
            var ret = jQuery("#jqgDAT").jqGrid('getRowData', rows[1]);

            $('#IdSubElementDAT').val(0);
            $("#jqgDAT").jqGrid('addRow',{
                initdata: { 'Id': '0', 'id_juego': $('#IdSubElementENT').val(), 'id_modulo': '0'},//, 'servidor': ret.servidor },
                position :"first",
                useDefValues : false,
                useFormatter : false,
                addRowParams : {extraparam:{}}
            });
            BotonNuevoDAT();
            EventsNewDAT();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveDAT(){
            var id = $("#jqgDAT").jqGrid('getGridParam','selrow');
            if (id)	{
                PutDAT(id, $('#' + id + '_id_juego').val(), $('#' + id + '_id_modulo').val(), $('#' + id + '_base_datos').val(),
                    $('#' + id + '_descripcionDAT').val(), $('#' + id + '_origen_datos').val(), $('#' + id + '_login').val(),
                    $('#' + id + '_password').val(), $('#' + id + '_servidor').val(), $('#' + id + '_backup_antes').val(),
                    $('#' + id + '_backup_desp').val(), $('#' + id + '_linked_server').val(), 0);
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteDAT(){
            var id = $("#jqgDAT").jqGrid('getGridParam','selrow');
            if (id) {
                PutDAT(id, $('#' + id + '_id_juego').val(), $('#' + id + '_id_modulo').val(), $('#' + id + '_base_datos').val(),
                    $('#' + id + '_descripcionDAT').val(), $('#' + id + '_origen_datos').val(), $('#' + id + '_login').val(),
                    $('#' + id + '_password').val(), $('#' + id + '_servidor').val(), $('#' + id + '_backup_antes').val(),
                    $('#' + id + '_backup_desp').val(), $('#' + id + '_linked_server').val(), 1);
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelDAT(){
            var id = $("#jqgDAT").jqGrid('getGridParam','selrow');
            if (id){
                $('#jqgDAT').restoreRow(id);
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
            BotonDefaultDAT();
        }

        function BotonDefaultDAT() {
            $('#btnNuevoDAT').button('enable');
            $('#btnEliminarDAT').button('disable');
            $('#btnGuardarDAT').button('disable');
            $('#btnCancelarDAT').button('disable');
        }

        function BotonNuevoDAT() {
            $('#btnNuevoDAT').button('disable');
            $('#btnEliminarDAT').button('disable');
            $('#btnGuardarDAT').button('disable');
            $('#btnCancelarDAT').button('enable');
        }

        function BotonSelectDAT() {
            $('#btnNuevoDAT').button('enable');
            var id = $("#jqgDAT").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarDAT').button('enable');
            }
            else {
                $('#btnEliminarDAT').button('disable');
            }
            $('#btnGuardarDAT').button('disable');
            $('#btnCancelarDAT').button('disable');
        }

        function BotonGuardarDAT() {
            $('#btnNuevoDAT').button('disable');
            $('#btnEliminarDAT').button('disable');
            $('#btnGuardarDAT').button('enable');
            $('#btnCancelarDAT').button('enable');
        }

        <% /* JQ03 */%>

        function customPassFormat(cellvalue, options, rowObject) {
            
            try 
            {
                if (cellvalue[0]=='<')
                {
                    var chk = $(cellvalue);

                    var valueAttribute = " value='" + chk.val() + "' ";

                    var newFormattedCellValue = "<input type='password' readonly=true" + valueAttribute + " />"

                    return newFormattedCellValue;
                }
                else
                {
                    var valueAttribute = " value='" + cellvalue + "' ";

                    var newFormattedCellValue = "<input type='password' readonly=true" + valueAttribute + " />"

                    return newFormattedCellValue;
                }

            } 
            catch (e)
            {
                return cellvalue;
            }
            
        }

        <% /*funcion para mostrar en columna Inf como boton con imagen*/ %>

        function InfButtonFormatter(cellvalue, options, rowObject)
        {
            if (rowObject[2] == 1 || rowObject[2] == 4)
            {
                return "<button type='button' onclick='DialogInf(" + rowObject[0] + ");'><img src='img/information-italic.png' /></button>";
            }
            else
            {
                return "<button type='button' disabled='disabled'><img src='img/information-italic.png' /></button>";
            }
        }

         <% /*funcion que muestra dialogo de informacion*/ %>

        function DialogInf(id)
        {

            $('#jqgDAT').jqGrid('restoreRow', id);

            var ret = jQuery("#jqgDAT").jqGrid('getRowData', id);

            $('#BaseDatos').val(ret.base_datos);

            var chk = $(ret.password);

            GetFEC(ret.servidor, ret.login, chk.val());

            if ($('#BaseDatos').val() == '')
            {
                $('#BaseDatos').prop("disabled",true)
            }

            $('#FechaHotelera').prop("disabled", true);
            $("#FechaHotelera").datepicker("option", "disabled", true);

                $("#BaseDatosActivo").dialog({
                    resizable: false,
                    height: 'auto',
                    width: 'auto',
                    modal: true,
                    position: 'center',
                    close: function () {
                        $('#FechaHotelera').val('')
                    },
                    buttons:
                        {
                            '<%=L.LBL("LblGENAceptar")%>': function () {
                                if ($('#FechaHotelera').val() != '') {
                                    SaveFEC();
                                }
                                $(this).dialog("close");
                            },
                        }
                });
        }

        <% /* JQ04 */%>

        <% /* Código para Fecha Hotelera */ %>

        function GetFEC(Serv, User, Pass) {
            $.ajax({
                url: 'Servicio.svc/GetFechaHotelera',
                data: {"Servidor": Serv, "BaseDatos": $('#BaseDatos').val(), "User": User, "Pass": Pass
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando5').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando5').dialog('close');
                    try
                    {
                        $('#FechaHotelera').val('');
                        datos = JSON.parse(json.d);
                        if(datos.rows.length!=0)
                        {
                            $('#FechaHotelera').val((datos.rows[0].cell[0]).split(" ")[0])
                            $("#FechaHotelera").datepicker("option", "disabled", false);
                        }
                        //else
                        //{
                        //    $('#FechaHotelera').prop("disabled", true);
                        //    $("#FechaHotelera").datepicker("option", "disabled", true);
                        //}
                        
                    }
                    catch(err)
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutFEC(Serv, Base, User, Pass, fecha) {
            $.ajax({
                url: 'Servicio.svc/PutFechaHotelera',
                data: {"Servidor": Serv, "BaseDatos": Base, "User": User, "Pass": Pass, "FechaHotelera": fecha
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando6').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando6').dialog('close');
                    var res = json.d;
                    if(res > 0 || res < 0)
                    {
                        //GetFEC();
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función que salva la fecha */ %>

        function SaveFEC() {//Serv, Base, User, Pass, fecha
            var id = $("#jqgDAT").jqGrid('getGridParam','selrow');
            if (id)	{
                PutFEC($("#" + id + "_servidor").val(), $('#BaseDatos').val(), $("#" + id + "_login").val(), $("#" + id + "_password").val(), $('#FechaHotelera').val());
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* JS_FUN_BASE */%>

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListado() {
            window.open('Informe.aspx?r=120&e=' + $('#cbEliminado:checked').val(), '_blank');
        }

        
    </script>

    <script type="text/javascript">

        <% /* JS_DOC */%>

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgCargando").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando2").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando3").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando4").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando5").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando6").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando7").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando8").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando9").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando10").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });
                        
            LoadGridENT();

            RefreshGridENT();

            LoadGridDAT();

            //$('#FechaHotelera').prop("disabled", true);
            //$("#FechaHotelera").datepicker("option", "disabled", true);

            //RefreshGridDAT();

            BotonDefaultDAT();

            $("#SevenMenu").accordion("option", "active", 1);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            $('#Loader').css('height', '0px');
        });
    </script>

    <% }
       catch { } %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try
       { %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.open('Menu.aspx#M2', '_top');" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="../img/e-book-reader24.png" />
                                </td>
                                <td>
                                    <span style="font-size: 12pt;"><%=L.LBL("LblGENMenuTactil") %></span>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="Entidades.aspx"><%=L.TIT("Entidades") %> <%--[2.1]--%></a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 700px;">

                <div id="Loader" style="width: 2000px; height: 4000px;">
                </div>

                <% /* DLG_VAR */%>

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center; padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float: left; margin: 0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                </div>

                <div id="dlgCargando" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando2" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando3" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando4" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando5" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando6" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando7" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando8" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando9" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando10" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <% /* TIT */%>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("Entidades") %> <%--[2.1]--%></span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefaultENT();RefreshGridENT();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                       <%-- <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/2-1-operaciones-sobre-folios/', '_blank');" id="A1">
                                                <img src="img/question.png" />
                                                <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                    </tr>
                </table>

                <% 
           if (CorrectoIns)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
           if (CorrectoMod)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
           if (CorrectoEli)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
           if (!String.IsNullOrEmpty(ErrorMsg))
           {    
                %>

                <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <% /* HH */ %>

                <div id="HiddenHive">
                    <div id="HabFEData">
                    </div>
                </div>
                
                <br />

                <input type="hidden" id="IdSubElementENT" value="0" />
                <table id="jqgENT"></table>

                <table style="width: 100%;">
                    <tr>
                        <td colspan="4">
                            <table style="width: 100%;">
                                <tr>
                                    <td style="width: 100%;"></td>
                                    <td>
                                        <button type="button" id="bsdataENT" value="Search" >
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/binocular.png" 
                                                           alt="<%=L.LBL("LblGENSearch") %>" />
                                                    </td>
                                                    <td>
                                                        <%=L.LBL("LblGENSearch") %>
                                                    </td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnNuevoENT" onclick="CreateENT();">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" />
                                                    </td>
                                                    <td><%=L.LBL("LblGENNew") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnEliminarENT" onclick="DeleteENT();">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img id="btnEliminarIconENT" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" />
                                                    </td>
                                                    <td id="btnEliminarTextENT"><%=L.LBL("LblGENDelete") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnGuardarENT" onclick="SaveENT();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                        </td>
                                                        <td><%=L.LBL("LblGENSave") %></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnCancelarENT" onclick="CancelENT();">
                                                <table>
                                                    <tr>
                                                        <td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td>
                                                        <td><%=L.LBL("LblGENCancel") %></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
        <%--//////--%>
               
<input type="hidden" id="IdSubElementDAT" value="0" />
                <table id="jqgDAT"></table>

                <table style="width: 100%;">
                    <tr>
                        <td colspan="4">
                            <table style="width: 100%;">
                                <tr>
                                    <td style="width: 100%;"></td>
                                    <td>
                                        <button type="button" id="bsdataDAT" value="Search" >
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/binocular.png" 
                                                           alt="<%=L.LBL("LblGENSearch") %>" />
                                                    </td>
                                                    <td>
                                                        <%=L.LBL("LblGENSearch") %>
                                                    </td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnNuevoDAT" onclick="CreateDAT();">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" />
                                                    </td>
                                                    <td><%=L.LBL("LblGENNew") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnEliminarDAT" onclick="DeleteDAT();">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img id="btnEliminarIconDatos" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" />
                                                    </td>
                                                    <td id="btnEliminarTextDatos"><%=L.LBL("LblGENDelete") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnGuardarDAT" onclick="SaveDAT();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                        </td>
                                                        <td><%=L.LBL("LblGENSave") %></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnCancelarDAT" onclick="CancelDAT();">
                                                <table>
                                                    <tr>
                                                        <td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td>
                                                        <td><%=L.LBL("LblGENCancel") %></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>


                <div id="BaseDatosActivo" title="<%=L.LBL("LblMANENTBaseDatosActivos") %>" hidden="hidden">
                      <fieldset>
                          <legend><%=L.LBL("LblMANENTCambiarFechaSistema") %></legend>
                          <table>
                              <tr>
                                  <td style="text-align:right">
                                      <%=L.LBL("LblMANENTFechaSistema") %>:
                                  </td>
                                  <td>
                                      <input type="text" id="FechaHotelera" name="FechaHotelera"  class="eligeFecha" style="width: 100px;" />
                                  </td>
                              </tr>
                          </table>
                      </fieldset>
               </div>
 
                        <input type="text" id="BaseDatos" name="BaseDatos"  hidden="hidden"/>

                <input type="text" id="VerificarDialog" name="VerificarDialog"  hidden="hidden"/>
            </div>

        </div>

    </div>

    <% }
       catch { } %>
</asp:Content>

