﻿<%@ Import Namespace="Seven.Management" %>
<%@ Import Namespace="Seven.Management.Globals" %>
<%@ Import Namespace="Seven.Management.Objects" %>

<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="Plantillas.aspx.cs" Inherits="Seven.Management.Plantillas" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try
       { %>

    <title><%=L.TIT("Plantillas") %> <%--[2.1]--%></title>

    <script type="text/javascript">

    <% 
        
       /* 
        * 
        * Índice de Código 
        * 
        * JQ01 - Grid 
        * 
        * JS_FUN_BASE  - Funciones Javascript para Carga de Datos Base
        * JS_DOC       - Funciones Javascript en Document.Ready()
        * 
        * DLG_VAR      - Diálogos Varios
        * 
        * TIT - Título
        * 
        * HH  - Hidden Hive - Almacen de datos en campos ocultos
        * 
        * B01 - Cuandro Información Principal
        * B02 - Formulario Principal OH
        * B03 - Zona Informativa 
        * 
        */
        
    %>

        var ListFindN    =  ['eq','bw','ne','lt','le','gt','ge','ew','cn'];
        var ListFindT    =  ['cn','eq','bw','bn','nc','ew','en'];

        <% /* JQ01 */%>

         <% /* Código del jqGrid para Plantillas */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetPLA() {
            $.ajax({
                url: 'Servicio.svc/GetPlantillas',
                data: { "Eliminado": $('#cbEliminado:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    try
                    {
                        $("#jqgPLA").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                        var thegrid = $("#jqgPLA")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgPLA").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                    }
                    catch(err)
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutPLA(id, nombre, descripcion, eli) {
            $.ajax({
                url: 'Servicio.svc/PutPlantillas',
                data: { "id_tip_oper": id, "nombre": nombre, "descripcion": descripcion
                , "Eliminado": eli
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando2').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando2').dialog('close');
                    var res = json.d;
                    if(res > 0 || res < 0)
                    {
                        if(eli == 1){
                            $('#IdSubElementPLA').val(0);
                            BotonDefaultPLA();
                            RefreshGridPLA();
                        }
                        else
                        {
                            if(id > 0 || id < 0){
                                BotonDefaultPLA();
                                RefreshGridPLA();
                            }
                            else
                            {
                                $('#IdSubElementPLA').val(res);
                                BotonDefaultPLA();
                                RefreshGridPLA();
                            }
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridPLA() {
        
            var lselPLA;
            var colMap = {};
            $("#jqgPLA").jqGrid({
                datatype: 'local',
                height: 255,
                width: 700,
                colNames:  ['','<%=L.LBL("LblGENName")%>','<%=L.LBL("LblGENDescription")%>','A'],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'nombre', index: 'nombre', width: 10, editable: true, searchoptions:{sopt:ListFindT} }, 
                            { name: 'descripcion', index: 'descripcion', width: 10, editable: true, searchoptions:{sopt:ListFindT} },
                            //{ name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
                            {
                                name: 'Acceso', index: 'Acceso', width: 1, editable: false,
                                formatter: AccesoButtonFormatter, align: 'center'
                            },
   	                    ],
                onSelectRow: function(id){
                    if(id ){

                        if(isNaN(lselPLA) && !isNaN(id))
                        {
                            $("#jqgPLA").jqGrid('delRowData', lselPLA);
                            //$('#jqgPLA').jqGrid('resetSelection');
                        }

                        if(!isNaN(id))
                        {
                            $('#jqgPLA').jqGrid('saveRow', id);
                            
                            var ret = jQuery("#jqgPLA").jqGrid('getRowData',id); 

                            $('#jqgPLA').jqGrid('restoreRow',lselPLA);

                            $('#IdSubElementPLA').val(ret.Id);
                        }
                        else
                        {
                            BotonNuevoPLA();
                        }

                        $('#jqgPLA').jqGrid('editRow', id, true, EventsPLA);
                       
                        lselPLA=id;
                    }
                },
                afterInsertRow: function(id){
                    if(id){
                        if(isNaN(lselPLA))
                        {
                            $("#jqgPLA").jqGrid('delRowData', lselPLA);
                            $('#jqgPLA').jqGrid('resetSelection');
                        }
                        else
                        {
                            $('#jqgPLA').jqGrid('saveRow',lselPLA);
                        }
                    }
                },
                onCellSelect: function(id){
                    if(id){
                        if(!isNaN(id))
                        {
                            $('#jqgPLA').jqGrid('restoreRow',id);
                        }

                        var ret = jQuery("#jqgPLA").jqGrid('getRowData',id); 
                        var status = ret.Eli;

                        if(status == "True")
                        { 
                            $('#btnEliminarTextPLA').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconPLA').attr("src", "img/recuperar.png");
                        }
                        else 
                        {   
                            $('#btnEliminarTextPLA').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconPLA').attr("src", "img/cross-script.png");
                        }

                        //$('#jqgPLA').jqGrid('setSelection', id); 

                        BotonSelectPLA();
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#jqgPLA").getDataIDs(); 
                    for (var i = 0; i < rows.length; i++)
                    { 
                        if(i == 0 && parseInt($('#IdSubElementPLA').val()) == 0)
                        {
                            $('#IdSubElementPLA').val($("#jqgPLA").getCell(rows[i],"Id"));
                        }
                        var status  = $("#jqgPLA").getCell(rows[i],"Eli");

                        if(status == "True")
                        {
                            $("#jqgPLA").jqGrid('setRowData',rows[i],false, 
                            {color:'red',font:'italic' });
                        }
                    }
                    $('#jqgPLA').jqGrid('setSelection', $('#IdSubElementPLA').val());
                    if(parseInt($('#IdSubElementPLA').val()) != 0)
                    {
                        BotonSelectPLA();
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl:"Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

            //$("#jqgPLA").jqGrid('navGrid','#PaginadorPlantillas',{del:false,add:false,edit:false,search:false});
            $("#bsdataPLA").click(function(){ 
                jQuery("#jqgPLA").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function EventsPLA(id) {
            $("#" + id + "_nombre").on('input', function () { BotonGuardarPLA(); });
            $("#" + id + "_descripcion").on('input', function () { BotonGuardarPLA(); });
        }

        function EventsNewPLA() {
            var id = jQuery('#jqgPLA').jqGrid('getGridParam', 'selrow');
            $("#" + id + "_nombre").on('input', function () { BotonGuardarPLA(); });
            $("#" + id + "_descripcion").on('input', function () { BotonGuardarPLA(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridPLA()
        {
            $("#jqgPLA").jqGrid("setGridParam", {datatype: "json", datatype: GetPLA, loadonce: true});
            $("#jqgPLA").trigger("reloadGrid"); 
            $("#jqgPLA").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreatePLA()
        {
            $('#IdSubElementPLA').val(0);
            $("#jqgPLA").jqGrid('addRow',{
                initdata : {'Id': '0'},
                position :"first",
                useDefValues : false,
                useFormatter : false,
                addRowParams : {extraparam:{}}
            });
            BotonNuevoPLA();
            EventsNewPLA();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SavePLA(){
            var id = $("#jqgPLA").jqGrid('getGridParam','selrow');
            if (id)	{
                PutPLA(id, $('#' + id + '_nombre').val(), $('#' + id + '_descripcion').val(), 0);
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeletePLA(){
            var id = $("#jqgPLA").jqGrid('getGridParam','selrow');
            if (id) {
                PutPLA(id, $('#' + id + '_nombre').val(), $('#' + id + '_descripcion').val(), 1);
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelPLA(){
            var id = $("#jqgPLA").jqGrid('getGridParam','selrow');
            if (id){
                $('#jqgPLA').restoreRow(id);
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
            BotonDefaultPLA();
        }

        function BotonDefaultPLA() {
            $('#btnNuevoPLA').button('enable');
            $('#btnEliminarPLA').button('disable');
            $('#btnGuardarPLA').button('disable');
            $('#btnCancelarPLA').button('disable');
        }

        function BotonNuevoPLA() {
            $('#btnNuevoPLA').button('disable');
            $('#btnEliminarPLA').button('disable');
            $('#btnGuardarPLA').button('disable');
            $('#btnCancelarPLA').button('enable');
        }

        function BotonSelectPLA() {
            $('#btnNuevoPLA').button('enable');
            var id = $("#jqgPLA").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarPLA').button('enable');
            }
            else {
                $('#btnEliminarPLA').button('disable');
            }
            $('#btnGuardarPLA').button('disable');
            $('#btnCancelarPLA').button('disable');
        }

        function BotonGuardarPLA() {
            $('#btnNuevoPLA').button('disable');
            $('#btnEliminarPLA').button('disable');
            $('#btnGuardarPLA').button('enable');
            $('#btnCancelarPLA').button('enable');
        }


         <% /*funcion para mostrar en columna Acceso como boton con imagen*/ %>

        function AccesoButtonFormatter(cellvalue, options, rowObject)
        {
            return "<button type='button' onclick='PestañaAcceso(" + rowObject[0] + ");'><img src='img/key--plus.png' /></button>";
        }

        <% /*funcion para abrir pagina de acceso por usuario en una pestaña*/ %>

        function PestañaAcceso(id_usu)
        {
            window.open('PermisosPlantillas.aspx?id=' + id_usu, '_blank');
        }


        <% /* JS_FUN_BASE */%>

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListado() {
            window.open('Informe.aspx?r=130&e=' + $('#cbEliminado:checked').val(),
                '_blank');
        }

        
    </script>

    <script type="text/javascript">

        <% /* JS_DOC */%>

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgCargando").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando2").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando3").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando4").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando5").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando6").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando7").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando8").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando9").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando10").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            LoadGridPLA();

            RefreshGridPLA();

            $("#SevenMenu").accordion("option", "active", 1);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            $('#Loader').css('height', '0px');
        });
    </script>

    <% }
       catch { } %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try
       { %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.open('Menu.aspx#M2', '_top');" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="../img/e-book-reader24.png" />
                                </td>
                                <td>
                                    <span style="font-size: 12pt;"><%=L.LBL("LblGENMenuTactil") %></span>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="Plantillas.aspx"><%=L.TIT("Plantillas") %> <%--[2.1]--%></a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 700px;">

                <div id="Loader" style="width: 2000px; height: 4000px;">
                </div>

                <% /* DLG_VAR */%>

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center; padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float: left; margin: 0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                </div>

                <div id="dlgCargando" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando2" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando3" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando4" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando5" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando6" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando7" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando8" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando9" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando10" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <% /* TIT */%>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("Plantillas") %> <%--[2.1]--%></span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefaultV();RefreshGridV();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/2-1-operaciones-sobre-folios/', '_blank');" id="A1">
                                                <img src="img/question.png" />
                                                <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                    </tr>
                </table>

                <% 
           if (CorrectoIns)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
           if (CorrectoMod)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
           if (CorrectoEli)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
           if (!String.IsNullOrEmpty(ErrorMsg))
           {    
                %>

                <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <% /* HH */ %>

                <div id="HiddenHive">
                    <div id="HabFEData">
                    </div>
                </div>

                <br />

<input type="hidden" id="IdSubElementPLA" value="0" />
                <table id="jqgPLA"></table>

                <table style="width: 100%;">
                    <tr>
                        <td colspan="4">
                            <table style="width: 100%;">
                                <tr>
                                    <td style="width: 100%;"></td>
                                    <td>
                                        <button type="button" id="bsdataPLA" value="Search" >
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/binocular.png" 
                                                           alt="<%=L.LBL("LblGENSearch") %>" />
                                                    </td>
                                                    <td>
                                                        <%=L.LBL("LblGENSearch") %>
                                                    </td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnNuevoPLA" onclick="CreatePLA();">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" />
                                                    </td>
                                                    <td><%=L.LBL("LblGENNew") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnEliminarPLA" onclick="DeletePLA();">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img id="btnEliminarIconPLA" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" />
                                                    </td>
                                                    <td id="btnEliminarTextPLA"><%=L.LBL("LblGENDelete") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnGuardarPLA" onclick="SavePLA();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                        </td>
                                                        <td><%=L.LBL("LblGENSave") %></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnCancelarPLA" onclick="CancelPLA();">
                                                <table>
                                                    <tr>
                                                        <td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td>
                                                        <td><%=L.LBL("LblGENCancel") %></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

            </div>

        </div>

    </div>

    <% }
       catch { } %>
</asp:Content>

